# Generated by Django 2.1.3 on 2020-04-27 10:01

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('devices', '0005_auto_20200331_1219'),
        ('address', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='AddressNode',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable=False, null=True)),
                ('primary', models.BooleanField(blank=True, default=False)),
                ('address', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='address.Address')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='BuildingContact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable=False, null=True)),
                ('kind', models.PositiveSmallIntegerField(choices=[(1, 'conserje'), (2, 'mayordomo'), (3, 'administrador'), (4, 'miembro del comité'), (5, 'otro')], default=1, verbose_name='kind')),
                ('name', models.CharField(blank=True, max_length=255, verbose_name='name')),
                ('last_name', models.CharField(blank=True, max_length=255, null=True, verbose_name='name')),
                ('phone', models.CharField(blank=True, max_length=75, verbose_name='phone')),
                ('email', models.EmailField(blank=True, max_length=254)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='HistoricalAddressNode',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable=False, null=True)),
                ('primary', models.BooleanField(blank=True, default=False)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('address', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='address.Address')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical address node',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalBuildingContact',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable=False, null=True)),
                ('kind', models.PositiveSmallIntegerField(choices=[(1, 'conserje'), (2, 'mayordomo'), (3, 'administrador'), (4, 'miembro del comité'), (5, 'otro')], default=1, verbose_name='kind')),
                ('name', models.CharField(blank=True, max_length=255, verbose_name='name')),
                ('last_name', models.CharField(blank=True, max_length=255, null=True, verbose_name='name')),
                ('phone', models.CharField(blank=True, max_length=75, verbose_name='phone')),
                ('email', models.EmailField(blank=True, max_length=254)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical building contact',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalNode',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable=False, null=True)),
                ('status', models.PositiveIntegerField(choices=[(1, 'habilitado'), (2, 'habilitado parcialmente'), (3, 'incidencia mayor'), (4, 'por abilitar'), (5, 'descartado'), (6, 'otro')], default=1, null=True, verbose_name='status')),
                ('kind', models.PositiveIntegerField(choices=[(1, 'Edificio'), (2, 'condominio'), (3, 'empresa'), (4, 'tore antenas'), (5, 'edificio ospf'), (6, 'ospf'), (7, 'otro')], default=1, null=True, verbose_name='kind')),
                ('code', models.CharField(max_length=20)),
                ('description', models.TextField(max_length=1000)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('address', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='common.AddressNode')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('ip', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.IPTable')),
            ],
            options={
                'verbose_name': 'historical node',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalSupportedLevel',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable=False, null=True)),
                ('name', models.CharField(db_index=True, max_length=40)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical Supported level',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalTechnology',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable=False, null=True)),
                ('name', models.CharField(db_index=True, max_length=20)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical technology',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Node',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable=False, null=True)),
                ('status', models.PositiveIntegerField(choices=[(1, 'habilitado'), (2, 'habilitado parcialmente'), (3, 'incidencia mayor'), (4, 'por abilitar'), (5, 'descartado'), (6, 'otro')], default=1, null=True, verbose_name='status')),
                ('kind', models.PositiveIntegerField(choices=[(1, 'Edificio'), (2, 'condominio'), (3, 'empresa'), (4, 'tore antenas'), (5, 'edificio ospf'), (6, 'ospf'), (7, 'otro')], default=1, null=True, verbose_name='kind')),
                ('code', models.CharField(max_length=20)),
                ('description', models.TextField(max_length=1000)),
                ('address', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='common.AddressNode')),
                ('ip', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='devices.IPTable')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SupportedLevel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable=False, null=True)),
                ('name', models.CharField(db_index=True, max_length=40)),
            ],
            options={
                'verbose_name': 'Supported level',
                'verbose_name_plural': 'Supported levels',
            },
        ),
        migrations.CreateModel(
            name='Technology',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, editable=False, null=True)),
                ('name', models.CharField(db_index=True, max_length=20)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='node',
            name='supported_levels',
            field=models.ManyToManyField(to='common.SupportedLevel'),
        ),
        migrations.AddField(
            model_name='node',
            name='technologies',
            field=models.ManyToManyField(to='common.Technology'),
        ),
        migrations.AddField(
            model_name='historicalbuildingcontact',
            name='node',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='common.Node', verbose_name='node'),
        ),
        migrations.AddField(
            model_name='buildingcontact',
            name='node',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='common.Node', verbose_name='node'),
        ),
    ]
